<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="10116" systemVersion="15F34" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES">
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="10085"/>
    </dependencies>
    <customFonts key="customFonts">
        <mutableArray key="RSU_BOLD.ttf">
            <string>RSU-Bold</string>
            <string>RSU-Bold</string>
        </mutableArray>
        <mutableArray key="RSU_Regular.ttf">
            <string>RSU</string>
            <string>RSU</string>
            <string>RSU</string>
        </mutableArray>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" restorationIdentifier="MenuDetailInputCode" id="x6C-A5-6ie" customClass="MenuDetailInputCode">
            <rect key="frame" x="0.0" y="0.0" width="320" height="568"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <subviews>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="2XX-AZ-Cly">
                    <rect key="frame" x="0.0" y="0.0" width="320" height="568"/>
                </button>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="s0p-mI-iaG">
                    <rect key="frame" x="27" y="122" width="265" height="325"/>
                    <subviews>
                        <label opaque="NO" multipleTouchEnabled="YES" contentMode="center" textAlignment="center" lineBreakMode="wordWrap" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Jv3-FG-bCB">
                            <rect key="frame" x="0.0" y="98" width="265" height="47"/>
                            <string key="text">กรุณากรอกรหัสผ่านเพื่อยืนยันการแลก
คะแนนและยอมรับข้อกำหนดและเงื่อนไข</string>
                            <fontDescription key="fontDescription" name="RSU" family="" pointSize="16"/>
                            <color key="textColor" red="0.25882352939999997" green="0.25882352939999997" blue="0.25882352939999997" alpha="1" colorSpace="calibratedRGB"/>
                            <nil key="highlightedColor"/>
                            <size key="shadowOffset" width="0.0" height="0.0"/>
                        </label>
                        <label opaque="NO" multipleTouchEnabled="YES" contentMode="center" text="Temmasuk@gmail.com" textAlignment="center" lineBreakMode="wordWrap" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="H29-xr-2U8">
                            <rect key="frame" x="0.0" y="152" width="265" height="26"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="26" id="4qn-gx-b1W"/>
                            </constraints>
                            <fontDescription key="fontDescription" name="RSU" family="" pointSize="16"/>
                            <color key="textColor" red="0.27058823529999998" green="0.27058823529999998" blue="0.27058823529999998" alpha="1" colorSpace="calibratedRGB"/>
                            <nil key="highlightedColor"/>
                            <size key="shadowOffset" width="0.0" height="0.0"/>
                        </label>
                        <label opaque="NO" multipleTouchEnabled="YES" contentMode="center" text="คะแนนที่แลกแล้วไม่สามารถเปลี่ยนหรือคืนเป็นเงินสดได้" lineBreakMode="wordWrap" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="qx0-mf-o98">
                            <rect key="frame" x="18" y="218" width="239" height="21"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="21" id="dEn-in-wfK"/>
                            </constraints>
                            <fontDescription key="fontDescription" name="RSU" family="" pointSize="12"/>
                            <color key="textColor" red="0.6588235294" green="0.062745098040000002" blue="0.1137254902" alpha="1" colorSpace="calibratedRGB"/>
                            <nil key="highlightedColor"/>
                            <size key="shadowOffset" width="0.0" height="0.0"/>
                        </label>
                        <imageView userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="1mY-UO-aIZ">
                            <rect key="frame" x="103" y="23" width="59" height="59"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="59" id="AuC-oT-BxM"/>
                                <constraint firstAttribute="width" constant="59" id="mcP-aC-bYA"/>
                            </constraints>
                        </imageView>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="U24-q8-na3">
                            <rect key="frame" x="0.0" y="0.0" width="265" height="2"/>
                            <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="2" id="jvg-Mt-MPQ"/>
                            </constraints>
                        </view>
                        <textField opaque="NO" clipsSubviews="YES" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="line" textAlignment="natural" minimumFontSize="17" background="input" translatesAutoresizingMaskIntoConstraints="NO" id="FFB-WB-ONN">
                            <rect key="frame" x="18" y="182" width="229" height="30"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="30" id="Eeu-Az-YrW"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="14"/>
                            <textInputTraits key="textInputTraits" secureTextEntry="YES"/>
                            <connections>
                                <outlet property="delegate" destination="-1" id="Lg4-rf-24M"/>
                            </connections>
                        </textField>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="gL0-zv-yU4">
                            <rect key="frame" x="0.0" y="272" width="265" height="1"/>
                            <color key="backgroundColor" white="0.66666666666666663" alpha="1" colorSpace="calibratedWhite"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="1" id="uzZ-vt-dSE"/>
                            </constraints>
                        </view>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="xLP-Ix-fbM">
                            <rect key="frame" x="18" y="285" width="98" height="28"/>
                            <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="98" id="j6J-0l-h50"/>
                                <constraint firstAttribute="height" constant="28" id="lX3-A2-Njc"/>
                            </constraints>
                            <fontDescription key="fontDescription" name="RSU-Bold" family="" pointSize="16"/>
                            <state key="normal" title="ยกเลิก">
                                <color key="titleColor" red="0.37254901960784315" green="0.37254901960784315" blue="0.37254901960784315" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                        </button>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="UDk-q1-xGz">
                            <rect key="frame" x="149" y="285" width="98" height="28"/>
                            <color key="backgroundColor" red="0.6588235294117647" green="0.062745098039215685" blue="0.11372549019607843" alpha="1" colorSpace="calibratedRGB"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="98" id="NVQ-aS-ImV"/>
                                <constraint firstAttribute="height" constant="28" id="WZg-4R-X5U"/>
                            </constraints>
                            <fontDescription key="fontDescription" name="RSU-Bold" family="" pointSize="16"/>
                            <state key="normal" title="ตกลง">
                                <color key="titleColor" red="1" green="1" blue="1" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                        </button>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="vBn-b0-0TW">
                            <rect key="frame" x="0.0" y="323" width="265" height="2"/>
                            <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="2" id="N1o-cx-AfG"/>
                            </constraints>
                        </view>
                    </subviews>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                    <constraints>
                        <constraint firstAttribute="trailing" secondItem="gL0-zv-yU4" secondAttribute="trailing" id="32h-jl-Dbk"/>
                        <constraint firstItem="gL0-zv-yU4" firstAttribute="leading" secondItem="s0p-mI-iaG" secondAttribute="leading" id="8N9-jx-bES"/>
                        <constraint firstItem="FFB-WB-ONN" firstAttribute="top" secondItem="H29-xr-2U8" secondAttribute="bottom" constant="4" id="AZu-05-Pha"/>
                        <constraint firstItem="Jv3-FG-bCB" firstAttribute="centerX" secondItem="s0p-mI-iaG" secondAttribute="centerX" id="ApD-Xb-Xyd"/>
                        <constraint firstItem="H29-xr-2U8" firstAttribute="top" secondItem="Jv3-FG-bCB" secondAttribute="bottom" constant="7" id="DeB-yd-PqB"/>
                        <constraint firstItem="xLP-Ix-fbM" firstAttribute="leading" secondItem="s0p-mI-iaG" secondAttribute="leading" constant="18" id="Grx-gK-E6D"/>
                        <constraint firstAttribute="trailing" secondItem="FFB-WB-ONN" secondAttribute="trailing" constant="18" id="MYa-VA-UBf"/>
                        <constraint firstAttribute="trailing" secondItem="Jv3-FG-bCB" secondAttribute="trailing" id="Nfw-05-q7K"/>
                        <constraint firstItem="qx0-mf-o98" firstAttribute="top" secondItem="FFB-WB-ONN" secondAttribute="bottom" constant="6" id="PYL-bG-1Zc"/>
                        <constraint firstAttribute="trailing" secondItem="vBn-b0-0TW" secondAttribute="trailing" id="PxT-sO-9dc"/>
                        <constraint firstAttribute="height" constant="325" id="Qh2-Rx-gKR"/>
                        <constraint firstAttribute="width" constant="265" id="W0z-ga-XHW"/>
                        <constraint firstItem="UDk-q1-xGz" firstAttribute="top" secondItem="gL0-zv-yU4" secondAttribute="bottom" constant="12" id="ZaP-MX-OlR"/>
                        <constraint firstAttribute="trailing" secondItem="U24-q8-na3" secondAttribute="trailing" id="c5v-RS-emq"/>
                        <constraint firstAttribute="trailing" secondItem="UDk-q1-xGz" secondAttribute="trailing" constant="18" id="dHT-YH-4Dq"/>
                        <constraint firstItem="U24-q8-na3" firstAttribute="leading" secondItem="s0p-mI-iaG" secondAttribute="leading" id="e1l-Au-qBb"/>
                        <constraint firstAttribute="trailing" secondItem="H29-xr-2U8" secondAttribute="trailing" id="fFh-fi-gZ2"/>
                        <constraint firstItem="1mY-UO-aIZ" firstAttribute="centerX" secondItem="s0p-mI-iaG" secondAttribute="centerX" id="iIS-Kb-0ES"/>
                        <constraint firstAttribute="bottom" secondItem="vBn-b0-0TW" secondAttribute="bottom" id="idp-5f-HvC"/>
                        <constraint firstItem="qx0-mf-o98" firstAttribute="leading" secondItem="s0p-mI-iaG" secondAttribute="leading" constant="18" id="jIe-pW-3ej"/>
                        <constraint firstAttribute="trailing" secondItem="qx0-mf-o98" secondAttribute="trailing" constant="8" id="lAA-0T-vLg"/>
                        <constraint firstItem="Jv3-FG-bCB" firstAttribute="leading" secondItem="s0p-mI-iaG" secondAttribute="leading" id="og0-8K-doL"/>
                        <constraint firstItem="vBn-b0-0TW" firstAttribute="top" secondItem="UDk-q1-xGz" secondAttribute="bottom" constant="10" id="pEN-hm-B9d"/>
                        <constraint firstItem="H29-xr-2U8" firstAttribute="leading" secondItem="s0p-mI-iaG" secondAttribute="leading" id="pRN-pf-ED1"/>
                        <constraint firstItem="FFB-WB-ONN" firstAttribute="leading" secondItem="s0p-mI-iaG" secondAttribute="leading" constant="18" id="q4g-aw-XsM"/>
                        <constraint firstItem="vBn-b0-0TW" firstAttribute="top" secondItem="xLP-Ix-fbM" secondAttribute="bottom" constant="10" id="swZ-1z-ifx"/>
                        <constraint firstItem="Jv3-FG-bCB" firstAttribute="top" secondItem="1mY-UO-aIZ" secondAttribute="bottom" constant="16" id="uwK-23-9oH"/>
                        <constraint firstItem="U24-q8-na3" firstAttribute="top" secondItem="s0p-mI-iaG" secondAttribute="top" id="vCs-qc-rBc"/>
                        <constraint firstItem="1mY-UO-aIZ" firstAttribute="top" secondItem="U24-q8-na3" secondAttribute="bottom" constant="21" id="xpV-i4-P3m"/>
                        <constraint firstItem="vBn-b0-0TW" firstAttribute="leading" secondItem="s0p-mI-iaG" secondAttribute="leading" id="xuL-c9-Vl9"/>
                    </constraints>
                </view>
            </subviews>
            <constraints>
                <constraint firstAttribute="bottom" secondItem="2XX-AZ-Cly" secondAttribute="bottom" id="0WG-YL-3gD"/>
                <constraint firstItem="2XX-AZ-Cly" firstAttribute="top" secondItem="x6C-A5-6ie" secondAttribute="top" id="9Q1-5G-cKz"/>
                <constraint firstItem="s0p-mI-iaG" firstAttribute="centerX" secondItem="x6C-A5-6ie" secondAttribute="centerX" id="Ncm-81-8qa"/>
                <constraint firstAttribute="trailing" secondItem="2XX-AZ-Cly" secondAttribute="trailing" id="VKR-Ac-cnd"/>
                <constraint firstItem="s0p-mI-iaG" firstAttribute="centerY" secondItem="x6C-A5-6ie" secondAttribute="centerY" id="e7L-z1-Kqz"/>
                <constraint firstItem="2XX-AZ-Cly" firstAttribute="leading" secondItem="x6C-A5-6ie" secondAttribute="leading" id="tZW-al-J5X"/>
            </constraints>
            <connections>
                <outlet property="black_btn" destination="2XX-AZ-Cly" id="9ya-3n-S56"/>
                <outlet property="cancelBtn" destination="xLP-Ix-fbM" id="BdI-DG-DVe"/>
                <outlet property="codeTextfeild" destination="FFB-WB-ONN" id="xje-sf-KtF"/>
                <outlet property="confirmBtn" destination="UDk-q1-xGz" id="e3A-HV-dpx"/>
                <outlet property="emailLabel" destination="H29-xr-2U8" id="PfU-DU-FHV"/>
                <outlet property="lineBottom" destination="vBn-b0-0TW" id="c6N-fc-m9U"/>
                <outlet property="lineGray" destination="gL0-zv-yU4" id="ZyV-Zv-tSd"/>
                <outlet property="lineHeader" destination="U24-q8-na3" id="BtI-ad-GHG"/>
                <outlet property="logo" destination="1mY-UO-aIZ" id="Gxy-Qu-RNG"/>
            </connections>
            <point key="canvasLocation" x="220" y="483"/>
        </view>
    </objects>
    <resources>
        <image name="input" width="240" height="37"/>
    </resources>
</document>
